GET
/users/:id/timeline/Get user timeline
You can return a whole timeline for a specific user.
| Attributes | Type | Required | Description |
|---|---|---|---|
| id | integer | no | A unique identifier for the user which is given by User.com automatically. |
Request
- CURL
- JavaScript
- PHP
- Python
curl -X GET -H
"Authorization: Token " "https://<your_app_subdomain>.user.com/api/public/users/:id/timeline/"
var data = null;
var xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("GET", "https://<your_app_subdomain>.user.com/api/public/users/:id/timeline/");
xhr.setRequestHeader("authorization", "Token <your_64_char_api_key>");
xhr.setRequestHeader("accept", "*/*; version=2");
xhr.send(data);
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => "https://<your_app_subdomain>.user.com/api/public/users/:id/timeline/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_POSTFIELDS => "",
CURLOPT_HTTPHEADER => array(
"Accept: */*; version=2",
"authorization: Token <your_64_char_api_key>"
),
));
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
import http.client
conn = http.client.HTTPSConnection("<your_app_subdomain>.user.com")
payload = ""
headers = { 'authorization': "Token <your_64_char_api_key>", "Accept": "*/*; version=2" }
conn.request("GET", "/api/public/users/:id/timeline/", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
Response
{
"count": 39,
"next": "https://<your_app_subdomain>.user.com/api/public/users/:id/timeline/?page=2",
"previous": null,
"results": [
{
"id": 36050384,
"datetime": "2016-12-06T08:46:11.977980Z",
"name": "ping hit",
"content": {
"url": "http://example.org/?key=_58467aac9a159",
"title": "page view"
}
},
{
"id": 21639759,
"datetime": "2016-11-08T08:47:19.449107Z",
"name": "event data",
"content": {
"url": "/clients/events/550/",
"data": [],
"title": "timestamp-eventData"
}
},
{
"id": 15445067,
"datetime": "2016-11-02T14:36:28.446479Z",
"name": "ping hit",
"content": {
"url": "http://example.org/sandbox.html",
"title": "page view"
}
}
]
}